package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * ClearDpiDataRequest
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ClearDpiDataRequest   {
  @JsonProperty("start")
  private Long start;

  @JsonProperty("end")
  private Long end;

  public ClearDpiDataRequest start(Long start) {
    this.start = start;
    return this;
  }

  /**
   * Start timestamp, in seconds, such as 1682000000
   * @return start
  */
  @ApiModelProperty(required = true, value = "Start timestamp, in seconds, such as 1682000000")
  @NotNull


  public Long getStart() {
    return start;
  }

  public void setStart(Long start) {
    this.start = start;
  }

  public ClearDpiDataRequest end(Long end) {
    this.end = end;
    return this;
  }

  /**
   * End timestamp, in seconds, such as 1682000000
   * @return end
  */
  @ApiModelProperty(required = true, value = "End timestamp, in seconds, such as 1682000000")
  @NotNull


  public Long getEnd() {
    return end;
  }

  public void setEnd(Long end) {
    this.end = end;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ClearDpiDataRequest clearDpiDataRequest = (ClearDpiDataRequest) o;
    return Objects.equals(this.start, clearDpiDataRequest.start) &&
        Objects.equals(this.end, clearDpiDataRequest.end);
  }

  @Override
  public int hashCode() {
    return Objects.hash(start, end);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ClearDpiDataRequest {\n");
    
    sb.append("    start: ").append(toIndentedString(start)).append("\n");
    sb.append("    end: ").append(toIndentedString(end)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

